| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.DoubleVector Class Reference

Helper type for accessing vector of double values. More...

Inheritance diagram for com.google.flatbuffers.DoubleVector:

## Detailed Description

Helper type for accessing vector of double values.

## Public Member Functions
DoubleVector | __assign (int _vector, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
double | get (int j)
| Reads the double value at the given index. More...

## Member Function Documentation

## ◆ __assign()

DoubleVector com.google.flatbuffers.DoubleVector.__assign | ( | int | _vector,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

double com.google.flatbuffers.DoubleVector.get | ( | int | j | ) |
| inline

Reads the double value at the given index.

Parameters

  j | The index from which the double value will be read.

Returns
  the double value at the given index.

The documentation for this class was generated from the following file:

- DoubleVector.java